%define version 1.6.0
%define release 2mdk

Summary: View Your Mind is a tool to manage mind maps
Name: vym
Version: %{version}
Release: %{release}
Source0: http://www.insilmaril.de/vym/download/%{name}-%{version}.tar.bz2
Patch0: vym-1.6.0-compile.patch.bz2
URL: http://www.insilmaril.de/vym/
License: GPL
Group: Office
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: zip
BuildRequires: libqt-devel

%description
VYM  (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectivity. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas
etc. Some people even think it is fun to work with such maps...

%prep
%setup -q
%patch0 -p0 -b .compile

qmake -o Makefile vym.pro

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT/%_menudir $RPM_BUILD_ROOT/%{_iconsdir}
tar c scripts styles | tar x -C $RPM_BUILD_ROOT/%_datadir/%name
install vym $RPM_BUILD_ROOT/%_bindir/
cat > $RPM_BUILD_ROOT/%_menudir/%name << EOF
?package(vym): needs="x11" section="Office/Graphs" title="VYM" longtitle="View Your Mind" command="/usr/bin/vym" icon="vym.png"
EOF
install -m 644 icons/%name.png $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc demos
%_datadir/%name
%_bindir/%name
%_menudir/%name
%{_iconsdir}/%name.png

%changelog
* Thu Mar 10 2005 Eskild Hustvedt <eskild@mandrake.org> 1.6.0-2mdk
- BuildRequires
- Requires zip for saving

* Sat Mar 05 2005 Michael Scherer <misc@mandrake.org> 1.6.0-1mdk
- New release 1.6.0
- update patch0

* Sun Nov  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-2mdk
- add icon

* Sat Nov  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-1mdk
- initial packaging

# end of file
